<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background"
    tools:context=".MainActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/email_address"
            android:textStyle="bold"
            android:textSize="18sp"
            android:fontFamily="sans-serif-condensed"
            android:textAlignment="center"
            android:layout_marginBottom="4dp"
            tools:text="email@gmail.com"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:elevation="4dp"
            android:padding="8dp"
            android:background="@drawable/round_background"
            android:layout_margin="8dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:textStyle="bold"
                android:textSize="18sp"
                android:text="How to pass the data between activities in Android?"/>


            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/radioGroup_q1"
                android:orientation="vertical">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q1_1"
                    android:text="Intent"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q1_2"
                    android:text="Content Provider"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q1_3"
                    android:text="Broadcast receiver"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q1_4"
                    android:text="None of the Above "/>
            </RadioGroup>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:elevation="4dp"
            android:padding="8dp"
            android:background="@drawable/round_background"
            android:layout_margin="8dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:textStyle="bold"
                android:textSize="18sp"
                android:text="What is the life cycle of services in android?"/>


            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/radioGroup_q2"
                android:orientation="vertical">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q2_1"
                    android:text="onCreate()−>onStartCommand()−>onDestory()"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q2_2"
                    android:text="onRecieve()"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q2_3"
                    android:text="final()"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q2_4"
                    android:text="Service life cycle is same as activity life cycle. "/>
            </RadioGroup>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:elevation="4dp"
            android:padding="8dp"
            android:background="@drawable/round_background"
            android:layout_margin="8dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:textStyle="bold"
                android:textSize="18sp"
                android:text="How to stop the services in android?"/>


            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/radioGroup_q3"
                android:orientation="vertical">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q3_1"
                    android:text="finish()"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q3_2"
                    android:text="system.exit()"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q3_3"
                    android:text="By manually"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q3_4"
                    android:text="stopSelf() and stopService() "/>
            </RadioGroup>

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:elevation="4dp"
            android:padding="8dp"
            android:background="@drawable/round_background"
            android:layout_margin="8dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:textStyle="bold"
                android:textSize="18sp"
                android:text="What is sleep mode in android?"/>

            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/radioGroup_q4"
                android:orientation="vertical">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q4_1"
                    android:text="Only Radio interface layer and alarm are in active mode"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q4_2"
                    android:text="Switched off "/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q4_3"
                    android:text="Air plane mode "/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q4_4"
                    android:text="None of the Above "/>
            </RadioGroup>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:elevation="4dp"
            android:padding="8dp"
            android:background="@drawable/round_background"
            android:layout_margin="8dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:textStyle="bold"
                android:textSize="18sp"
                android:text="What is a GCM in android?"/>

            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/radioGroup_q5"
                android:orientation="vertical">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q5_1"
                    android:text="Goggle Could Messaging for chrome "/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q5_2"
                    android:text="Goggle Count Messaging"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q5_3"
                    android:text="Goggle Message pack"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q5_4"
                    android:text="None of the above"/>
            </RadioGroup>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:elevation="4dp"
            android:background="@drawable/round_background"
            android:padding="8dp"
            android:layout_margin="8dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif"
                android:textStyle="bold"
                android:textSize="18sp"
                android:text="How many levels of securities are there in android?"/>

            <RadioGroup
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/radioGroup_q6"
                android:orientation="vertical">

                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q6_1"
                    android:text="App level security and kernel level security"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q6_2"
                    android:text="Android level security "/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q6_3"
                    android:text="Java level security"/>


                <RadioButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/radioButton_q6_4"
                    android:text="None of the above"/>
            </RadioGroup>

        </LinearLayout>


        <Button
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:background="@drawable/round_button_background"
            android:textColor="#ffffff"
            android:id="@+id/button_check_quiz"
            android:text="Calculate Score"/>

        <Button
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="16dp"
            android:background="@drawable/round_button_background"
            android:visibility="gone"
            android:textColor="#ffffff"
            android:id="@+id/button_restart_quiz"
            android:text="Play again"/>
    </LinearLayout>

</ScrollView>